INTERFACE
SUBROUTINE CALLPARTL (KIDIA,KFDIA,KLON,KLEVS,KTILES,&
 & KSTGLO,&
 & KTDIA,KLEV,KSTART,KSTEP,LDRAIN1D,&
 & PT5 , PQ5, PGFL5,&
 & PU5 , PV5 , PVERVEL5,&
 & PRS15 , PRSF15,&
 & PAPRS5 , PAPRSF5, PDELP5,&
 & PAPHI5 , PAPHIF5,&
 & PEMTD5 , PTRSO5 , PMU0, PMU0M,&
 & PSNS5 , PTSA5 , PWL5, PTL5,&
 & PWSA5 , PTIA5,&
 & PASN5 , PRSN5 , PTSN5,&
 & PHSTD , PHSDFOR, PGAMMA,&
 & PTHETA , PSIG,&
 & PLSM , PALBF ,&
 & PALUVP , PALUVD , PALNIP, PALNID,&
 & PEMISF,&
 & PCO2O, PCO2B, PCO2A,PCO2F,PCH4,PCH4F,PSF6,PGFLFLX,&
 & PCVL , PCVH , PTVL , PTVH , PLAILC, PLAIHC,&
 & PSOTY , PSOALUVP, PSOALUVD, PSOALNIP, PSOALNID,&
 & PCI , PSST,&
 & PGELAM , PCLON , PSLON ,&
 & PGZ0MCL ,PLZ0HCL, PGEMU, POROG,&
 & PGZ0M5 , PLZ0H5,&
 & PU10N5 , PV10N5,&
 & PTENT5 , PTENQ5, PTENGFL5,&
 & PTENU5 , PTENV5,&
 & PNTOP , PNBAS , PACPR5,&
 & PUSTRTI5, PVSTRTI5, PAHFSTI5,PEVAPTI5 ,PTSKTI5,&
 & PT , PQ, PGFL,&
 & PU , PV , PVERVEL,&
 & PL , PI , PA ,&
 & PRS1 , PRSF1,&
 & PAPRS , PAPRSF , PDELP,&
 & PAPHI , PAPHIF,&
 & PSNS , PTSA , PWL , PTL,&
 & PWSA,&
 & PTENT , PTENQ, PTENGFL,&
 & PTENU , PTENV,&
 & PACPR,&
 & PUSTRTI, PVSTRTI, PAHFSTI,PEVAPTI ,PTSKTI,&
 & PDIFTQ , PDIFTS , PSTRTU , PSTRTV,&
 & PGZ0M , PLZ0H,&
 & PU10N , PV10N ,&
 & PTLE1,YD_MWAVE_RAD) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW ,NTSW ,NMODE , RCCNLND, RCCNSEA
USE YOMMWAVE , ONLY : MWAVE_PHYS_TYPE, MWAVE_RAD_TYPE, LEMWAVE_ACTIVE,&
 & LDMWAVE_TEST, N_SATSENS 
USE YOM_YGFL , ONLY : YGFL, YAERO, NAERO,&
 & YGHG, NGHG, YGRG, NGRG, NTRAC, LFIRE, LCH4SFC, YLRCH4, LCO2SFC 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL5(KLON,KLEV,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRS15(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSF15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSA5(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSA5(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTIA5(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PASN5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSN5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSN5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHSTD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHSDFOR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAMMA(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTHETA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSIG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALUVP(KLON), PALUVD(KLON), PALNIP(KLON), PALNID(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2O(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2B(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2A(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSF6(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLFLX(KLON,NGRG+NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCVH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTVH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAILC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAIHC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOTY(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALUVP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALUVD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALNIP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOALNID(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSST(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PCLON(KLON), PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0MCL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLZ0HCL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0M5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLZ0H5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENGFL5(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNTOP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNBAS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PACPR5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSTRTI5(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRTI5(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAHFSTI5(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVAPTI5(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSKTI5(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(KLON,KLEV,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRS1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSF1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PACPR(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAHFSTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVAPTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSKTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU10N(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10N(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0M(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTLE1(KLON)
TYPE (MWAVE_RAD_TYPE), INTENT (INOUT) :: YD_MWAVE_RAD (KLON, N_SATSENS)
END SUBROUTINE CALLPARTL
END INTERFACE
